tm_mnd_media_item:
  namespace: "Organisms/TM - MyNewsDesk"
  use: "@organisms/tm-mnd/media-item.html.twig"
  label: Media Item
  description: Media Item
  libraries:
    - tm_mnd_media_item_lib:
        css:
          component:
            ../styles/tm-mnd.css: { }

  fields:
    media:
      type: pattern
      label: Media
      preview:
        - id: image
          fields:
            caption: ""

    download_url:
      type: text
      label: Download URL
      preview: "/"

  settings:
    type:
      label: Type
      type: select
      options:
        image: Image
        video: Video
      preview: image
      default_value: image


